gr::lte::subblock_deinterleaver_vfvf Class Reference

Deinterleave groups of items according to LTE subblock interleaver. More...

`#include <subblock_deinterleaver_vfvf.h>`

Inheritance diagram for gr::lte::subblock_deinterleaver_vfvf:
[legend]

## Public Types

typedef boost::shared_ptr< subblock_deinterleaver_vfvf > | sptr

## Static Public Member Functions

static sptr | make (int num_groups, int items_per_group, std::string name="subblock_deinterleaver_vfvf")
| Return a shared_ptr to a new instance of lte::subblock_deinterleaver_vfvf.

## Detailed Description

Deinterleave groups of items according to LTE subblock interleaver.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<subblock_deinterleaver_vfvf> gr::lte::subblock_deinterleaver_vfvf::sptr

## Member Function Documentation

## make()

static sptr gr::lte::subblock_deinterleaver_vfvf::make | ( | int | num_groups,
|  | int | items_per_group,
|  | std::string | name = "subblock_deinterleaver_vfvf" )

static

Return a shared_ptr to a new instance of lte::subblock_deinterleaver_vfvf.

To avoid accidental use of raw pointers, lte::subblock_deinterleaver_vfvf's constructor is in a private implementation class. lte::subblock_deinterleaver_vfvf::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- subblock_deinterleaver_vfvf.h